import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsSwitchPartitionAutotest } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-08 17:13
 */
interface DevopsSwitchPartitionAutotestCU extends ConditionUtil<DevopsSwitchPartitionAutotestCU> {
    ID: FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_NAME: FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_CODE: FieldUtil<DevopsSwitchPartitionAutotestCU>;
    CREATE_TIME: FieldUtil<DevopsSwitchPartitionAutotestCU>;
    UPDATE_TIME: FieldUtil<DevopsSwitchPartitionAutotestCU>;
    PARTITION_STATUS: FieldUtil<DevopsSwitchPartitionAutotestCU>;
}
declare class DevopsSwitchPartitionAutotestMU extends TableUtilImpl<DevopsSwitchPartitionAutotestCU, DevopsSwitchPartitionAutotest> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsSwitchPartitionAutotestCU;
    static get ID(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    static get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    static get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    static get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get ID(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get PARTITION_NAME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get PARTITION_CODE(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
    get PARTITION_STATUS(): FieldUtil<DevopsSwitchPartitionAutotestCU>;
}
export { DevopsSwitchPartitionAutotestMU, DevopsSwitchPartitionAutotestCU };
